function onBegin()

  if getFlag("monstro1") then
    mostros_simbiose = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("mostros_simbiose")
    if mostros_simbiose then
      mostros_simbiose:removeSelf()
    end
  end

  if getFlag("monstro2") then
    mostros_parte = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("mostros_parte")
    if mostros_parte then
      mostros_parte:removeSelf()
    end
  end

  if getFlag("monstro3") then
    mostros_oshiro = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("mostros_oshiro")
    if mostros_oshiro then
      mostros_oshiro:removeSelf()
    end
  end

  if getFlag("monstro4") then
    mostros_predadores = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("mostros_predadores")
    if mostros_predadores then
      mostros_predadores:removeSelf()
    end
  end

  if getFlag("monstro5") then
    stranger = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("stranger")
    if stranger then
      stranger:removeSelf()
    end
  end

end